package com.ruoyi.project.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.TbContractCurrency;
import com.ruoyi.project.business.domain.vo.currency.*;

import java.util.List;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2024-05-14
 */
public interface ITbContractCurrencyService extends IService<TbContractCurrency> {

    /**
     * 查询【请填写功能名称】列表
     *
     * @param currencyReq 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<TbContractCurrency> selectTbContractCurrencyList(ContractCurrencyReq currencyReq);


    List<TbContractCurrency> getUsableCurrencyRate();

    boolean add(ContractCurrencySaveReq tbCurrency);

    boolean edit(ContractCurrencySaveReq tbCurrency);
    
    boolean remove(List<Long> ids);

    ContractCurrencyRes getInfo(Long currencyId);

    List<TbContractCurrency> listAll();

    Map<Long, BigDecimal> selectExchangeRateByCurrencyId(List<ContractCurrencyTime> contractCurrencyTimeList);
}
